通義萬相画像生成
curl --request POST \
--url https://api.sinancode.com/v1/generate/bailian/qwen-image-plus \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"images": [
"<string>"
],
"prompt": "<string>",
"negative_prompt": "<string>",
"prompt_extend": true,
"seed": 1073741823
}
'import requests
url = "https://api.sinancode.com/v1/generate/bailian/qwen-image-plus"
payload = {
"images": ["<string>"],
"prompt": "<string>",
"negative_prompt": "<string>",
"prompt_extend": True,
"seed": 1073741823
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
images: ['<string>'],
prompt: '<string>',
negative_prompt: '<string>',
prompt_extend: true,
seed: 1073741823
})
};
fetch('https://api.sinancode.com/v1/generate/bailian/qwen-image-plus', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "01234567-89ab-cdef-0123-456789abcdef"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}{
"error_code": "<string>",
"message": "<string>"
}画像生成 - Qwen
Tongyi Qianwen 画像編集
阿里百煉通義萬相画像生成モデル。テキストからの画像生成と画像編集の2つのモードをサポートします。imagesパラメータを渡さない場合はテキストからの画像生成モード、imagesパラメータ(最大3枚)を渡す場合は画像編集モードになります。
POST
/
generate
/
bailian
/
qwen-image-plus
通義萬相画像生成
アリババクラウド Tongyi Qianwen 画像編集モデル (qwen-image-edit-plus) を使用して画像を編集します。
モデルの特徴:
- 複数画像入出力 - 複数画像入力と複数画像出力をサポート
- テキスト修正 - 画像内テキストを正確に修正
- オブジェクト操作 - オブジェクトの追加削除や移動、主体のアクション変更
- スタイル転送 - 画像スタイルの転送と画面ディテールの強化
承認
API Tokenを使用して認証を行ってください
ボディ
application/json
タスクパラメータ
入力画像リスト(オプション、0-3枚、画像編集モード用) 指定しない場合はテキストから画像生成モード、指定した場合は画像編集モードとなります
Maximum array length:
3ポジティブプロンプト(必須、最大 800 文字)
Required string length:
1 - 800ネガティブプロンプト(オプション、最大 500 文字)
Maximum string length:
500プロンプトのインテリジェントリライトを有効化(オプション、デフォルト true)
ランダムシード(オプション、範囲 0-2147483647)
必須範囲:
0 <= x <= 2147483647画像サイズ(オプション、デフォルト 13281328) 選択可能な値:1664928, 14721140, 13281328, 11401472, 9281664
利用可能なオプション:
1664*928, 1472*1140, 1328*1328, 1140*1472, 928*1664 レスポンス
OK
タスクID
例:
"01234567-89ab-cdef-0123-456789abcdef"
⌘I